What web browsers can I use to take an assessment? | Questionmark

What web browsers can I use to take an assessment?

Applies to the following products: 
Questionmark OnDemand
Questionmark Perception

The following web browsers are supported and can be used to take assessments.

Please check what version of the application is used by your organization.

Browser OnDemand Perception 5.7 ​​Perception 5.4 Perception 5.1/5.2​
Internet Explorer 7
Internet Explorer 8
Internet Explorer 9  # (both)
Internet Explorer 10
​Internet Explorer 11 ​​
Firefox 3
Firefox 4+ *  # (5.2 only)
Safari 4
Safari 5
​Chrome * ^
​Opera
Android browser 2+
Android app
iOS 4+
iPhone/iPad app

# The device file can be updated to auto-detect these browsers, however, certain issues have been found with using them. The issues range from subtle interface problems to incompatibility with features like Questionmark Secure/Questionmark to Go.

* Due to the frequent release schedule of these browsers, full support of new versions cannot be guaranteed. Questionmark makes every effort to support the latest versions of these browsers as they are released.

^ Mobile suport for participant reports is limited at this time.

& As of January 12, 2016, Microsoft no longer supports Internet Explorer 7 or 8 for versions of Windows that are supported for OnDemand. Thus, Questionmark no longer supports either version for participant use with OnDemand.  

Take me to the Participant Help Center